FFe, UIFe: bring back OneConf to Software-Center

Bug #838623 reported by Didier Roche on 2011-09-01
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Translations
Undecided
Unassigned
oneconf (Ubuntu)
Medium
Didier Roche
software-center (Ubuntu)
Medium
Didier Roche

Bug Description

OneConf is not functional since the Software-Center switch to gtk3, and a new design has landed for it (https://wiki.ubuntu.com/SoftwareCenter#oneconf).

The porting wasn't trivial due to the infrastructure change and result in now some code removed from OneConf and ported in Software-Center (the plugin infrastructure has been dropped). So, there are some strings removed from OneConf and new strings in Software-Center itself.

Didier Roche (didrocks) on 2011-09-01
Changed in oneconf (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Changed in software-center (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Changed in oneconf (Ubuntu):
status: New → In Progress
Changed in software-center (Ubuntu):
status: New → In Progress
Changed in oneconf (Ubuntu):
importance: Undecided → Medium
Changed in software-center (Ubuntu):
importance: Undecided → Medium
Martin Pitt (pitti) wrote :

As this broke underneath Didier when we did the s-c switch to GTK3, ack for porting oneconf to s-c-gtk3.

Documentation team, do you have screenshots for s-c already which would be affected by adding oneconf to the GTK3 UI? If so, is it possible to update them? Thanks!

Jeremy Bicha (jbicha) wrote :

We don't have any screenshots of Software Center in the Ubuntu Desktop Guide nor do we mention oneconf yet, so this change isn't a problem for documentation.

Matthew Paul Thomas (mpt) wrote :

USC's help is in the software-center package itself. It does not use screenshots and does not mention OneConf.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package oneconf - 0.2.6

---------------
oneconf (0.2.6) oneiric; urgency=low

  * New release:
    - Remove the uscplugins bits, now in software center for the gtk3 version
      (LP: #838623)
    - Fix oneconf-service crashed with OSError in _execute_child(): [Errno 2]
      No such file or directory (LP: #829570)
    - Fix oneconf-query/service crashed with DBusException in __new__()
      (LP: #824771, #832029)
    - Fix misc oneconf-query/service crashed with DBusException in
      call_blocking(): (LP: #824789, #826687, #831651, #834394)
    - Translation improvements (LP: #828897)
    - Protect against oneconf-service crashed with ValueError in raw_decode():
      No JSON object could be decoded (LP: #829260)
  * debian/rules:
    - install now oneconf in the python public library directory. Needed as now
      access directly from software center.
 -- Didier Roche <email address hidden> Thu, 01 Sep 2011 17:36:22 +0200

Changed in oneconf (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 4.1.21

---------------
software-center (4.1.21) oneiric; urgency=low

  [ Kiwinote ]
  * AUTHORS:
    - add credits for the new icon (LP: #834882)
  * a stash of unicode fixes to make s-c-gtk3 usable around the world
    (LP: #831865, LP: #834409, LP: #834312)
  * softwarecenter/db/update.py:
    - fix reinstall previous purchases (LP: #834984)
  * softwarecenter/ui/gtk3/panes/availablepane.py:
    - set title for 'previous purchases' list view (LP: #833960)
  * softwarecenter/ui/gtk3/panes/softwarepane.py:
    - fix None.copy() such that switching panes works again (LP: #834196)
  * softwarecenter/ui/gtk3/widgets/buttons.py:
    - escape application name in tiles (LP: #835876)

  [ Jacob Johan Edwards ]
  * softwarecenter/ui/gtk3/panes/softwarepane.py:
    - fix the spinner display when loading slow views (LP: #830682)

  [ Gabor Kelemen ]
  * po/POTFILES.in,
    po/POTFILES.skip:
    - update per latest configuration, add new gtk3 files

  [ Matthew McGowan ]
  * softwarecenter/ui/gtk3/widgets/buttons.py :
    - resize fix for Top Rated and What's New tiles (LP: #833697)
  * softwarecenter/ui/gtk3/views/catview_gtk.py,
    softwarecenter/ui/gtk3/widgets/containers.py:
    - disable the rendering of the checkboard pattern in the
      grid views (at request of mpt)
   * lp:~mmcg069/software-center/description-tweaks:
     - fix badly rendered package descriptions, other tweaks
       (LP: #833954)
   * lp:~mmcg069/software-center/globalpane-themeability:
     - various theming fixes (LP: #828092, LP: #830681,
       LP: #830738 and LP: #838382)

  [ Gary Lasker ]
  * software-center,
    software-center-gtk3,
    softwarecenter/db/update.py:
    - enable CJK support in Xapian (LP: #745243)
  * po/software-center.pot:
    - refresh .pot file
  * softwarecenter/ui/gtk/widgets/thumbnail.py:
    - fix missing icon in theme to let non-gtk3 version
      launch again, also fixes all gtk unit tests
  * test/test_database.py:
    - update unit test

  [ Didier Roche ]
  * softwarecenter/ui/gtk3/panes/installedpane.py,
    softwarecenter/ui/gtk3/views/appview.py,
    softwarecenter/ui/gtk3/widgets/menubutton.py,
    softwarecenter/ui/gtk3/widgets/oneconfviews.py,
    softwarecenter/db/appfilter.py,
    softwarecenter/ui/gtk3/app.py,
    data/ui/gtk3/SoftwareCenter.ui:
    - brings back OneConf to software center gtk3 with a fresh new design
      (LP: #838623)
  * debian/control:
    - depends on latest oneconf
 -- Gary Lasker <email address hidden> Thu, 01 Sep 2011 11:55:14 -0400

Changed in software-center (Ubuntu):
status: In Progress → Fix Released

On 1 September 2011 14:45, Matthew Paul Thomas <email address hidden> wrote:
> USC's help is in the software-center package itself.

Just for completeness, other help pages outside the software-center
package also refer to USC, so please do continue to notify the
documentation team of any further changes (and thanks for having done
so for this one).

--
Matthew East
http://www.mdke.org
gnupg pub 1024D/0E6B06FF

Gabor Kelemen (kelemeng) on 2011-09-01
Changed in ubuntu-translations:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers